package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2019/10/2
 */
public enum  VipGroupStatusEnum implements BaseEnum<Integer, VipGroupStatusEnum> {

    NOT_START(0, "未开始"),
    APPLYING(1, "报名中"),
    FINISH(2, "报名已结束"),
    CANCEL(3, "取消");

    private Integer code;

    private String msg;

    VipGroupStatusEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return this.code;
    }
}
